Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460156 (CVE-2013-1812) - <dev-ruby/ruby-openid-2.2.2: XML denial of service attack (CVE-2013-1812)
Summary: <dev-ruby/ruby-openid-2.2.2: XML denial of service attack (CVE-2013-1812)
Status: RESOLVED FIXED
Alias: CVE-2013-1812
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-03 17:25 UTC by Agostino Sarubbo
Modified: 2014-05-17 19:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-03 17:25:28 UTC
From ${URL} :

ruby-openid is affected by a XML denial of service (Entity Expansion Attack / out of memory) attack
as recently described.

https://github.com/openid/ruby-openid/commit/a3693cef06049563f5b4e4824f4d3211288508ed
https://github.com/openid/ruby-openid/pull/43
https://bugzilla.novell.com/show_bug.cgi?id=804717
Comment 1 Hans de Graaff gentoo-dev 2013-03-03 17:40:20 UTC
We already have the fixed version of ruby-openid in the tree, so we can mark that stable:

=dev-ruby/ruby-openid-2.2.2
Comment 2 Agostino Sarubbo gentoo-dev 2013-03-04 09:12:01 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2013-03-04 09:21:21 UTC
x86 stable
Comment 4 Tobias Heinlein (RETIRED) gentoo-dev 2013-03-24 19:49:07 UTC
Ready for vote, I vote YES.
Comment 5 Sean Amoss gentoo-dev Security 2013-04-09 22:59:55 UTC
GLSA vote: yes.

GLSA drafted and ready for review.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2013-12-27 01:53:26 UTC
CVE-2013-1812 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1812):
  The ruby-openid gem before 2.2.2 for Ruby allows remote OpenID providers to
  cause a denial of service (CPU consumption) via (1) a large XRDS document or
  (2) an XML Entity Expansion (XEE) attack.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2014-05-17 19:35:33 UTC
This issue was resolved and addressed in
 GLSA 201405-14 at http://security.gentoo.org/glsa/glsa-201405-14.xml
by GLSA coordinator Sean Amoss (ackle).